Showroom Mobile Banking - Bug #14907

IB&MB - notification - Convert to ngrx data
25 November 2022 03:14 PM - chok yee fan

Status: Closed Start date: 25 November 2022
Priority: Normal Due date:

Assignee: Hoo Dextor % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5
Description

Issue

Currently not using ngrx data.

Expected

Use ngrx data.

History

#1 - 15 December 2022 10:42 AM - chok yee fan

- Assignee changed from Dika Wardani to Jemy Sarlury

#2 - 29 December 2022 07:34 PM - Jemy Sarlury

Revision #220685 Committed by jemy Moments ago convert notification to ngrxdata: Bug #14907 - notification - Convert to ngrx data
~/Documents/silverlake/newSvn/svn/mleb/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/
app/notification

notification.module.ts

notification.ts

notification-list.service.ts

notification-list-entity-metadata.ts

#3 - 29 December 2022 07:37 PM - Jemy Sarlury
- Status changed from New to Resolved

- Assignee changed from Jemy Sarlury to Hoo Dextor

#4 - 05 January 2023 11:05 AM - Wui Ling Chai
- File Screenshot 2023-01-05 at 11.04.43 AM.png added
- Status changed from Resolved to Feedback

- Assignee changed from Hoo Dextor to chok yee fan

MB Issue:
When the "notification" button is clicked, the page is redirected to the maintenance error page

Steps:

1. Login

2. Click on the “notification” button on the Home Page
3. Page redirected to “Maintenance Error Page”

Expected outcome:
Able to be redirected to the Notification Page to view the notification list
https://dev.silverlakemobility.com/redmine/issues/14907

Possible Solution: -

#5 - 06 January 2023 02:57 PM - chok yee fan

- Assignee changed from chok yee fan to Wui Ling Chai

Revision #220803 Committed by chokyf Moments ago chok: correction on notification https://dev.silverlakemobility.com/redmine/issues/14907

/Users/sladmin/Documents/showroom-nx-trunk-webstorm
apps/showroom-mb/src/app

notification

notification.effects.ts

notification.html

notification.service.ts

notification.ts

shared

constants.ts
libs/shared-assets/src/lib/cc_mib_ws/api/v1/ribms
getNotificationList.json

#6 - 06 January 2023 03:04 PM - Wui Ling Chai
- Status changed from Feedback to Resolved

- Assignee changed from Wui Ling Chai to Hoo Dextor

#7 - 11 September 2023 10:12 AM - Hoo Dextor

- Status changed from Resolved to Closed

Files
Screenshot 2023-01-05 at 11.04.43 AM.png 857 KB 05 January 2023 Wui Ling Chai
